Bug 450203 - Unhabled exception when partitioning USB disk
Unhabled exception when partitioning USB disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
: 431642 467611 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 17:06 EDT by Oleg
Modified: 2009-07-14 15:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception log (46.75 KB, text/plain)
2008-06-05 17:06 EDT, Oleg
no flags Details

  None (edit)
Description Oleg 2008-06-05 17:06:28 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Trying to install from livecd to usb flash device
2.When creating partition layout in USB drive anaconda either cannot use
partitions or fail
3.Trying to @remove all partitions and create a default layout.
4 
  
Actual results:
unhandled exception occures

Expected results:
partitions created and used

Additional info:
Comment 1 Oleg 2008-06-05 17:06:28 EDT
Created attachment 308488 [details]
exception log
Comment 2 Chris Lumens 2008-06-10 10:33:36 EDT
Hm, looking at your anaconda.log, it looks like three different log files
concatenated together.  Did you do multiple installations, or did you go back to
the first screen and go forward again?

Anyway, the key to figuring this out is the following line from early in the
anaconda.log:

00:12:35 CRITICAL: parted exception: Error: Error informing the kernel about
modifications to partition /dev/sdd2 -- Device or resource busy.  This means
Linux won't know about any changes you made to /dev/sdd2 until you reboot -- so
you shouldn't mount it or use it in any way before rebooting.

This error message should get displayed to the screen as well, and it should
indicate to you that you ought to reboot, though you do also have the option to
continue.  If you'd rebooted here and used the exact same partitioning the
second time around, this installation would have succeeded (or at least, you
wouldn't have seen this problem).

Reassigning to parted since we shouldn't really be seeing that error message to
begin with.
Comment 3 Joel Andres Granados 2008-10-17 04:41:04 EDT
Parted does not work if the disk is mounted.  It probably is.  In my tests with the usb installation, everything worked properly once I unmounted the usb.

I realize that this is still an issue with libparted (for not giving the correct error) or pyparted(for not using libparted correctrly).
Comment 4 Joel Andres Granados 2008-10-22 04:58:32 EDT
*** Bug 467611 has been marked as a duplicate of this bug. ***
Comment 5 Joel Andres Granados 2008-11-05 12:16:19 EST
to partition a device that has a mounted file system is just wrong.  Parted is correct when giving an error to through the library.

This issue must be addressed in either pyparted or anaconda.  I'm going to say the second, as it is the one that should give the error message to the user.  And ask him to unmount the device.
Comment 6 Joel Andres Granados 2009-01-21 11:17:35 EST
*** Bug 431642 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2009-06-09 21:25:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 14:00:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Andy Lindeberg 2009-07-14 15:33:52 EDT
This bug could still be valid, but it's so old and the partitioning code has been sufficiently rewritten that there's no way to tell if it's present or not. If you're still encountering this, please reopen the bug, but until then I'll let it stay as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.